API referenceSigning links
Revoke a signing link
POST
Revokes one signing link. May need a person's approval.
apikeybearerAuthheader
apikey<token>header
AuthorizationBearer <JWT>x-ecmr-approval?stringId of the approval a person gave for exactly this request. Omitted: a connection that requires approval gets 428 APPROVAL_REQUIRED and the approval to ask for.
Format
uuidapplication/json- body
document_id*stringFormat
uuidrole*stringValue in
"sender""carrier""consignee"Success
application/json- response
ok*booleancurl -X POST 'https://api-ecmr-dev.lucaspiera.com/rest/v1/rpc/revoke_sign_grant' \ -H 'Content-Type: application/json' \ -d '{ "document_id": "b792e8ae-2cb4-4209-85b9-32be4c2fcdd6", "role": "sender"}'Example Response
{ "ok": true}